{% extends 'user.html.twig' %}

{% block title %}Cours {{ cours }}{% endblock %}

{% block body %}
<section class="container">
    <div class="row justify-content-md-center p-5">
        <h2>Cours: {{ cours }}</h2>
        <div class="d-grid gap-2 d-md-flex justify-content-md-end">
            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
                Ajout stagiaire
            </button>
        </div>
        <table class="table striped">
            <tbody>
                <tr>
                    <th>Nom du cours</th>
                    <td>{{cours.nomCours}}</td>
                </tr>
                <tr>
                    <th>Adresse</th>
                    <td>{{cours.adresse}}</td>
                </tr>
                <tr>
                    <th>Code postale</th>
                    <td>{{cours.cp}}</td>
                </tr>
                <tr>
                    <th>Ville</th>
                    <td>{{cours.ville}}</td>
                </tr>
                <tr>
                    <th>Date de début</th>
                    <td>{{cours.dateDebut | date("d/m/Y")}}</td>
                </tr>
                <tr>
                    <th>Date de fin</th>
                    <td>{{cours.dateFin | date("d/m/Y")}}</td>
                </tr>
                <tr>
                    <th>Nombre de stagiaires</th>
                    <td>{{cours.nbStagiaire}}</td>
                </tr>
                <tr>
                    <th>Formation</th>
                    <td>{{cours.formation}}</td>
                </tr>
                <tr>
                    <th>Structure</th>
                    <td>{{cours.structure}}</td>
                </tr>
                <tr>
                    <th>Delegation</th>
                    <td>{{cours.delegation}}</td>
                </tr>
                <tr>
                    <th>Formateur Principal</th>
                    <td> {{cours.formateurPrincipal }}</td>
                </tr>
                <tr>
                    <th>Formateurs</th>
                    <td>
                    {%for coursF in cours.formateurs %}
                        {{coursF.nom}} {{coursF.prenom}}<br/>
                    {% else %}
                            Pas d'autre formateur
                    {% endfor %}
                    </td>
                </tr>
                <tr>
                    <th>Stagiaires</th>
                    <td>
                        {% for stagiaire in cours.coursStagiaire %}
                            {% for stagiaireC in stagiaire %}
                                {{stagiaireC.prenom}} {{stagiaireC.nom}}<br/>
                            {% endfor %}
                        {% else %}
                            Pas de stagiaire
                        {% endfor %}
                    </td>
                </tr>
            </tbody>
        </table>
        <!-- Ajout stagiaire cours -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Ajouter un/des stagiaire(s)</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    {{ form_start(form) }}
                    <div class="modal-body">
                        {{ form_row(form.stagiaires) }}
                    </div>
                    <div class="modal-footer">
                        <button class="btn small primary">Ajouter</button>
                        <button data-target="modale-contact" class="btn small secondary modal-trigger">Fermer</button>
                    </div>
                    {{ form_end(form) }}
                </div>
            </div>
        </div>
    </div>
</section>
{% endblock %}